Bug 430426 - Canon 40D raw images have blue stint
Canon 40D raw images have blue stint
Product: Fedora
Classification: Fedora
Component: rawstudio (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Gianluca Sforna
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-27 19:13 EST by Ulrich Drepper
Modified: 2008-01-29 03:51 EST (History)
0 users

See Also:
Fixed In Version: 0.7-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-29 03:51:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Screenshot of rawstudio output vs dcraw (600.43 KB, image/png)
2008-01-27 19:13 EST, Ulrich Drepper
no flags Details

  None (edit)
Description Ulrich Drepper 2008-01-27 19:13:16 EST
Description of problem:
The attached screenshot shows the problem: raw files from a Canon40D have a blue
stint.  The right image is rawstudio, the left is the output of dcraw, converted
to TIFF, and displayed using eog.

I think a similar problem was encountered by dcraw when the 40D was new and
dcraw was not yet adjusted.

I do not not whether rawstudio is based on dcraw.  If it is, an update is necessary.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.take 40D raw photo
2.look at it in rawstudio
Actual results:
blue stint

Expected results:
normal colors

Additional info:
If necessary, I can provide a raw image.  They are big, so I haven't attached one.
Comment 1 Ulrich Drepper 2008-01-27 19:13:16 EST
Created attachment 293093 [details]
Screenshot of rawstudio output vs dcraw
Comment 2 Gianluca Sforna 2008-01-28 03:06:20 EST
Nice to see someone else is using this :)

So, I've just built and requested the push to testing for 0.7 (of course it will
appear in rawhide first). 

Can you test it to see if the problem is still there?
Comment 3 Gianluca Sforna 2008-01-29 03:51:24 EST
Ok. this looks like 


which was fixed well before the 0.7 release. So I'm closing this on the
assumption the update will fix the issue. Feel free to reopen it if the problem

Note You need to log in before you can comment on or make changes to this bug.